Rails.application.routes.draw do

locales = Site.find_by(site_active: true).in_use_locales rescue I18n.available_locales
  
  scope "(:locale)", locale: Regexp.new(locales.join("|")) do
   namespace :admin do
      resources :archive_exam_files

    resources :archive_exam_test_types do
      collection do
        post 'delete_test_types'
      end
    end
    resources :archive_exam_grades do
      collection do
        post 'delete_grades'
      end
    end
    resources :archive_exam_colleges do
      collection do
        post 'delete_colleges'
      end
    end
    resources :archive_exam_departments do
      collection do
        post 'delete_departments'
      end
    end
    resources :archive_exam_subjects do
      collection do
        post 'delete_subjects'
      end
    end
    
   end
  end

end
